Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class AbstractBookTokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.crosswire.jsword.index.lucene.analysis.AbstractBookTokenFilter

Direct Known Subclasses:
  KeyFilter, StrongsNumberFilter, XRefFilter

    public class AbstractBookTokenFilter

extends org.apache.lucene.analysis.TokenFilter

An AbstractBookTokenFilter ties a Lucene TokenFilter to a Book.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`private Book` | `book`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`AbstractBookTokenFilter(Book book, org.apache.lucene.analysis.TokenStream input)` Create a TokenFilter tied to a Book.
`AbstractBookTokenFilter(org.apache.lucene.analysis.TokenStream input)` Create a TokenFilter not tied to a Book.

Method Summary
`Book` | `getBook()`
`void` | `setBook(Book book)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### book

    private Book book

Constructor Detail

### AbstractBookTokenFilter

    public AbstractBookTokenFilter(org.apache.lucene.analysis.TokenStream input)

  Create a TokenFilter not tied to a Book.

  Parameters:
    `input` - the token stream to filter

### AbstractBookTokenFilter

    public AbstractBookTokenFilter(Book book,
                                   org.apache.lucene.analysis.TokenStream input)

  Create a TokenFilter tied to a Book.

  Parameters:
    `input` - the token stream to filter

Method Detail

### getBook

    public Book getBook()

  Returns:
    the book

### setBook

    public void setBook(Book book)

  Parameters:
    `book` - the book to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD